# class Tk::Tcllib::Datefield

### Constants

PACKAGE_NAME
TkCommandNames

### Public Class Methods

package_name() click to toggle source

    # File lib/tkextlib/tcllib/datefield.rb, line 30
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/datefield.rb, line 34
    def self.package_version
      begin
        TkPackage.require('datefield')
      rescue
        ''
      end
    end

### Private Instance Methods

create_self(keys) click to toggle source

    # File lib/tkextlib/tcllib/datefield.rb, line 49
    def create_self(keys)
      if keys and keys != None
        tk_call_without_enc(self.class::TkCommandNames[0], @path,
                            *hash_kv(keys, true))
      else
        tk_call_without_enc(self.class::TkCommandNames[0], @path)
      end
    end